<?xml version="1.0"?>
<!-- Version: 2020-06-06 -->

<PropertyList>
 <name>banner_dialog</name>
 <layout>vbox</layout>
 <default-padding>2</default-padding>
 <modal>false</modal>
 <width>420</width>

 <!-- title bar -->
 <group>
  <layout>hbox</layout>
  <empty><stretch>true</stretch></empty>
  <text>
   <label>Banner Configuration</label>
  </text>
  <empty><stretch>true</stretch></empty>
  <button>
   <legend/>
   <key>Esc</key>
   <pref-width>16</pref-width>
   <pref-height>16</pref-height>
   <border>2</border>
   <binding>
    <command>dialog-close</command>
   </binding>
  </button>
 </group>

 <hrule/>
 <hrule/>

 <!-- banner parameters -->
 <frame>
  <layout>vbox</layout>
  <empty><stretch>true</stretch></empty>

  <text>
   <label>Banner Drag Settings</label>
  </text>
  <empty><stretch>true</stretch></empty>


  <!-- CD -->
  <group>
   <layout>hbox</layout>
   <text>
    <halign>left</halign>
    <label>Drag coefficient CD</label>
   </text>
   <group>
    <layout>hbox</layout>
    <halign>right</halign>
    <text>
     <label>9999</label>
     <live>true</live>
     <format>% 2.2f</format>
     <property>sim/model/banner/cd-banner</property>
     <color>
      <red>0.2</red>
      <green>0.9</green>
      <blue>0.2</blue>
     </color>
    </text>
    <empty><stretch>true</stretch></empty>
    <vrule/>
    <group>
     <width>40</width>
     <text>
      <label>0.0</label>
     </text>
    </group>
    <slider>
     <name>cd-banner</name>
     <live>true</live>
     <property>sim/model/banner/cd-banner</property>
     <min>0.0</min>
     <max>2.0</max>
     <step>0.05</step>
     <binding>
      <command>dialog-apply</command>
     </binding>
     <binding>
      <command>nasal</command>
      <script>
       dragonfly.BannerConfig()
      </script>
     </binding>
    </slider>
    <group>
     <width>50</width>
     <text>
      <label>2.0</label>
     </text>
    </group>
   </group>
  </group>

  <!-- Area -->
  <group>
   <layout>hbox</layout>
   <text>
    <halign>left</halign>
    <label>Area A</label>
   </text>
   <group>
    <layout>hbox</layout>
    <halign>right</halign>
    <text>
     <label>99999</label>
     <live>true</live>
     <format>%2.1fsqm </format>
     <property>sim/model/banner/area-banner-sqm</property>
     <color>
      <red>0.2</red>
      <green>0.9</green>
      <blue>0.2</blue>
     </color>
    </text>
    <empty><stretch>true</stretch></empty>
    <vrule/>
    <group>
     <width>40</width>
     <text>
      <label>0sqm</label>
     </text>
    </group>
    <slider>
     <name>area-banner</name>
     <live>true</live>
     <property>sim/model/banner/area-banner-sqm</property>
     <min>0</min>
     <max>20</max>
     <step>0.5</step>
     <binding>
      <command>dialog-apply</command>
     </binding>
     <binding>
      <command>nasal</command>
      <script>
       dragonfly.BannerConfig()
      </script>
     </binding>
    </slider>
    <group>
     <width>50</width>
     <text>
      <label>20sqm</label>
     </text>
    </group>
   </group>
  </group>

  <!-- CD*A -->
  <group>
   <layout>hbox</layout>
   <text>
    <halign>left</halign>
    <label>CDxA [sqm], [sqft]</label>
   </text>
   <text>
    <live>true</live>
    <format>%14.2fsqm </format>
    <property>sim/model/banner/CDxA-banner-sqm</property>
    <color>
     <red>0.2</red>
     <green>0.9</green>
     <blue>0.2</blue>
    </color>
   </text>
   <text>
    <live>true</live>
    <format>%30.2fsqft </format>
    <property>sim/model/banner/CDxA-banner-sqft</property>
    <color>
     <red>0.2</red>
     <green>0.9</green>
     <blue>0.2</blue>
    </color>
   </text>
   <empty><stretch>true</stretch></empty>
  </group>

  <group>
   <layout>hbox</layout>
   <empty><stretch>true</stretch></empty>
   <button>
    <legend>Set Defaults</legend>
    <binding>
     <command>nasal</command>
      <script>
       dragonfly.setBannerDefaults();
       dragonfly.BannerConfig();
      </script>
    </binding>
   </button>
   <empty><stretch>true</stretch></empty>
  </group>

 </frame>

  <hrule/>

 <!-- Banner Texture -->
 <frame>
  <layout>vbox</layout>
  <empty><stretch>true</stretch></empty>

  <group>
   <layout>hbox</layout>
   <text>
    <label>Banner Texture</label>
   </text>
   <list>
    <row>0</row>
    <col>1</col>
    <name>banners</name>
    <property>/sim/model/banner/texture</property>
    <editable>false</editable>
    <pref-height>70</pref-height>
    <pref-width>180</pref-width>
    <halign>fill</halign>
    <value>FG.png</value>
    <value>test.png</value>
    <binding>
     <command>dialog-apply</command>
     <object-name>banners</object-name>
    </binding>
   </list>
</group>

 </frame>

 <hrule/>
 <hrule/>

 <!-- bottom line -->
 <group>
  <layout>hbox</layout>
  <empty><stretch>true</stretch></empty>
  <button>
   <legend>Close</legend>
   <binding>
    <command>dialog-close</command>
   </binding>
  </button>
  <empty><stretch>true</stretch></empty>
 </group>

</PropertyList>
